<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Grafting](./bitburner.grafting.md) &gt; [graftAugmentation](./bitburner.grafting.graftaugmentation.md)

## Grafting.graftAugmentation() method

Begins grafting the named aug. You must be in New Tokyo to use this.

**Signature:**

```typescript
graftAugmentation(augName: string, focus?: boolean): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  augName | string | The name of the aug to begin grafting. Must be an exact match. |
|  focus | boolean | _(Optional)_ Acquire player focus on this Augmentation grafting. Optional. Defaults to true. |

**Returns:**

boolean

True if the aug successfully began grafting, false otherwise (e.g. not enough money, or invalid Augmentation name provided).

## Exceptions

Will error if called while you are not in New Tokyo.

## Remarks

RAM cost: 7.5 GB

